cURL
curl --request POST \
--url https://api.camposcloud.com/v1/apps/{appId}/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.camposcloud.com/v1/apps/{appId}/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.camposcloud.com/v1/apps/{appId}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "Not found"
}{
"error": "Not found"
}File System
/v1/apps/{appId}/upload
This endpoint allows you to upload a file to the specified application.
POST
/
v1
/
apps
/
{appId}
/
upload
cURL
This endpoint has a rate limit of 1 request every 3 seconds.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the application to upload the file to
Query Parameters
The path within the application where the file will be uploaded. If not provided, the file will be uploaded to the root directory of the application.
Body
multipart/form-data
File to upload
Response
File uploaded successfully
⌘I